import Link from "next/link";

const CallToAction = ({ location }) => {
  const encodedLocation = encodeURIComponent(location);
  const googleMapsLink = `https://www.google.com/maps/dir/?api=1&destination=${encodedLocation}`;

  return (
    <section className="cta bg-blue-500 py-12 text-white">
      <div className="container mx-auto px-4 text-center">
        <h2 className="text-3xl font-bold mb-4">
          Visit Our Showroom and Experience the Difference
        </h2>
        <p className="mb-8">
          Come see our handcrafted furniture and expert design consultations in
          person.
        </p>
        <div className="flex justify-center gap-4">
          <Link href={googleMapsLink}>
            <a className="bg-white hover:bg-gray-200 text-blue-500 font-bold py-2 px-4 rounded-md">
              Get Directions
            </a>
          </Link>
          <Link href="/contact">
            <a className="bg-white hover:bg-gray-200 text-blue-500 font-bold py-2 px-4 rounded-md">
              Schedule a Consultation
            </a>
          </Link>
        </div>
      </div>
    </section>
  );
};

export default CallToAction;
